> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/de/powershell-befehle/remove-udelement.md).

# Remove-UDElement

Remove-UDElement entfernt zur Laufzeit ein angegebenes UI-Element, das über seine Element-ID identifiziert wird, von einer PowerShell Universal Dashboard-Seite.

### Übersicht

Entfernt ein Element von der Seite.

### Syntax

```powershell
Remove-UDElement [-Id] <String> [[-ParentId] <String>] [-Broadcast] [<CommonParameters>]
```

### Beschreibung

Entfernt ein Element von der Seite.

### Parameter

#### -Id

Die ID des zu entfernenden Elements.

```
Required?                    true
Position?                    1
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -ParentId

Nicht verwendet

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Broadcast

Ob dieses Element von der Seite aller verbundenen Benutzer entfernt werden soll.

```
Required?                    false
Position?                    named
Default value                False
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### Allgemeine Parameter

Dieses Cmdlet unterstützt die allgemeinen Parameter: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, WarningVariable, OutBuffer, PipelineVariable und OutVariable. Weitere Informationen finden Sie unter [about\_CommonParameters](https://go.microsoft.com/fwlink/?LinkID=113216).

### Ausgaben

### Beispiele

#### Beispiel 1: Element entfernen

```powershell
New-UDElement -Id 'removeElement1' -Tag 'div' -Content {
    New-UDTypography -Text 'Hello World'
}
New-UDButton -Text 'Click Me' -OnClick {
    Remove-UDElement -Id 'removeElement1'
}
```

Entfernt ein Element von der Seite.

#### Beispiel 2: Broadcast

```powershell
New-UDElement -Id 'removeElement2' -Tag 'div' -Content {
    New-UDTypography -Text 'Hello World'
}
New-UDButton -Text 'Click Me' -OnClick {
    Remove-UDElement -Id 'removeElement2' -Broadcast
}
```

Entfernt ein Element von der Seite und überträgt dies an alle verbundenen Dashboards.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/powershell-universal/de/powershell-befehle/remove-udelement.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
